<?php

namespace itguild\forms\builders;

use itguild\forms\debug\Debug;
use itguild\forms\inputs\Select;

class SelectBuilder
{
    public static function build(string $name, array $params = []): Select
    {
        $value = $params['value'] ?? null;
        unset($params['value']);
        if (isset($params['prompt'])) {
            $options['prompt'] = $params['prompt'];
            foreach ($params['options'] as $key => $val) {
                $options[$key] = $val;
            }
            unset($params['prompt']);
        } else {
            $options = $params['options'] ?? [];
        }

        unset($params['options']);

        return new Select(name: $name, options: $options, value: $value, paramsArray: $params);
    }

}